#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""pytz - timezones 1"""

# minimal python3 compatibility
from __future__ import print_function
import datetime
import pytz

form = "%Y-%m-%d %H:%M:%S %z (%Z)"
dt = datetime.datetime(2017, 3, 26, 1, 0)
utc = pytz.utc
tz = pytz.timezone('Europe/Vienna')
dt_utc = dt.replace(tzinfo=utc)
dt_tz = dt_utc.astimezone(tz)
print('dt naive    : ', dt.strftime(form))
print('dt utc      : ', dt_utc.strftime(form))
print('dt tz       : ', dt_tz.strftime(form))
