#!/usr/bin/python3
# -*- coding: utf-8 -*-
"""datetime.timezone basics"""

# minimal python3 compatibility
from __future__ import print_function
import datetime

now = datetime.datetime.utcnow()
print('Timezone naive: ', now.isoformat())
# Python >=3.2 !
nowutc = now.replace(tzinfo=datetime.timezone.utc)
print('Timezone aware: ', nowutc.isoformat())
form = '%Y-%m-%d %H:%M:%S (%Z)'
print('Timezone aware: ', nowutc.strftime(form))
